package com.sonic.shark.lib.input;

import com.sonic.shark.lib.enums.BlurryImgBizTypeEnum;

/**
 * @Author code
 * @Description 拷贝并模糊图片
 */
public class CopyAndBlurryImgInput {

    /**
     * 原图片的相对路径
     */
    private String sourceFilePath;

    /**
     * 图片的全路径
     */
    private String sourceFileUrl;

    /**
     * 用户ID，用户在拷贝图片时存放到用户的目录中
     */
    private Long userId;

    /**
     * 业务类型(ALBUM)
     */
    private BlurryImgBizTypeEnum bizType;

    /**
     * 业务ID
     */
    private Long bizId;

    public CopyAndBlurryImgInput() {
    }

    public String getSourceFilePath() {
        return sourceFilePath;
    }

    public void setSourceFilePath(String sourceFilePath) {
        this.sourceFilePath = sourceFilePath;
    }

    public String getSourceFileUrl() {
        return sourceFileUrl;
    }

    public void setSourceFileUrl(String sourceFileUrl) {
        this.sourceFileUrl = sourceFileUrl;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public BlurryImgBizTypeEnum getBizType() {
        return bizType;
    }

    public void setBizType(BlurryImgBizTypeEnum bizType) {
        this.bizType = bizType;
    }

    public Long getBizId() {
        return bizId;
    }

    public void setBizId(Long bizId) {
        this.bizId = bizId;
    }
}
